%bcond_with tests

%define python3_pkgversion 3.11
%global pypi_name pulp-glue
%global pypi_version 0.23.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.0.1%{?dist}
Summary:        Version agnostic glue library to talk to pulpcore's REST API.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-2.0-or-later
URL:            https://pypi.org/project/pulp-glue/
Source:         %{pypi_source pulp-glue}
# Oracle patch
Patch1001:	0001-Add-setup.py-file.patch

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-click
BuildRequires:  python%{python3_pkgversion}-colorama
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-rpm-macros


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pulp-glue' generated automatically by pyp2spec.}

%description %_description

%package -n     python%{python3_pkgversion}-pulp-glue
Summary:        %{summary}

%description -n python%{python3_pkgversion}-pulp-glue %_description


%prep
%autosetup -p1 -n pulp-glue-%{version}


%build
%py3_build


%install
%py3_install


%check
%if %{with tests}
%{pytest}
%endif


%files -n python%{python3_pkgversion}-pulp-glue
%doc README.md
%{python3_sitelib}/pulp_glue
%{python3_sitelib}/pulp_glue-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Aug 05 2024 Darren Archibald <darren.archibald@oracle.com> - 0.23.2-1.0.1
- Modify the project to be buildable without pyproject toolset

* Mon Aug 05 2024 Darren Archibald <darren.archibald@oracle.com> - 0.23.2-1
- Initial package.

